//--------------------
// Name: CityRP Datablocks
// Author: People
//--------------------

%error = forceRequiredAddOn("player_no_jet");

if(%error)
{
	if(%error == $error::addOn_disabled)
	{
		playerNoJet.uiName = "";
	}
	
	if(%error == $error::addOn_notFound)
	{
		return;
	}
}

$CityRP_temp::loadedDatablocks = true;

datablock triggerData(CityRPLotTriggerData)
{
	tickPeriodMS = 500;
	
	parent = 0;
};

datablock triggerData(CityRPInputTriggerData)
{
	tickPeriodMS = 500;
	
	parent = 0;
};

datablock fxDTSBrickData(CityRPSmallLotBrickData : brick16x16FData)
{
	category = "PeopleMods";
	subCategory = "CityRP";
	
	uiName = "Small Lot";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "16 16 32";
	trigger = 0;
	
	initialPrice = 25;
	taxAmount = 15;
};

datablock fxDTSBrickData(CityRPHalfSmallLotBrickData : brick16x32FData)
{
	category = "PeopleMods";
	subCategory = "CityRP";
	
	uiName = "Half-Small Lot";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "16 32 32";
	trigger = 0;
	
	initialPrice = 35;
	taxAmount = 20;
};

datablock fxDTSBrickData(CityRPMediumLotBrickData : brick32x32FData)
{
	category = "PeopleMods";
	subCategory = "CityRP";
	
	uiName = "Medium Lot";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "32 32 64";
	trigger = 0;
	
	initialPrice = 50;
	taxAmount = 25;
};

datablock fxDTSBrickData(CityRPLargeLotBrickData : brick64x64FData)
{
	category = "PeopleMods";
	subCategory = "CityRP";
	
	uiName = "Large Lot";
	
	CityRPBrickType = 1;
	CityRPBrickAdmin = false;
	
	triggerDatablock = CityRPLotTriggerData;
	triggerSize = "64 64 128";
	trigger = 0;
	
	initialPrice = 100;
	taxAmount = 50;
};

datablock fxDtsBrickData(CityRPPersonalSpawnBrickData : brickSpawnPointData)
{
	category = "PeopleMods";
	subCategory = "CityRP";
	
	uiName = "Personal Spawn";
	
	specialBrickType = "";
	
	CityRPBrickType = 3;
	CityRPBrickAdmin = false;
	
	spawnData = "personalSpawn";
};

datablock fxDTSBrickData(CityRPBankBrickData : brick2x4FData)
{
	category = "PeopleMods";
	subCategory = "CityRP Admin";
	
	uiName = "Bank Brick";
	
	CityRPBrickType = 2;
	CityRPBrickAdmin = true;
	
	triggerDatablock = CityRPInputTriggerData;
	triggerSize = "2 4 1";
	trigger = 0;
};

datablock fxDTSBrickData(CityRPPoliceBrickData : brick2x4FData)
{
	category = "PeopleMods";
	subCategory = "CityRP Admin";
	
	uiName = "Police Brick";
	
	CityRPBrickType = 2;
	CityRPBrickAdmin = true;
	
	triggerDatablock = CityRPInputTriggerData;
	triggerSize = "2 4 1";
	trigger = 0;
};

datablock fxDTSBrickData(CityRPRealEstateBrickData : brick2x4FData)
{
	category = "PeopleMods";
	subCategory = "CityRP Admin";
	
	uiName = "Real Estate Brick";
	
	CityRPBrickType = 2;
	CityRPBrickAdmin = true;
	
	triggerDatablock = CityRPInputTriggerData;
	triggerSize = "2 4 1";
	trigger = 0;
};

datablock fxDtsBrickData(CityRPJailSpawnBrickData : brickSpawnPointData)
{
	category = "PeopleMods";
	subCategory = "CityRP Admin";
	
	uiName = "Jail Spawn";
	
	specialBrickType = "";
	
	CityRPBrickType = 3;
	CityRPBrickAdmin = true;
	
	spawnData = "jailSpawn";
};

datablock projectileData(CityRPBatonProjectile : hammerProjectile)
{
	directDamage = 5;
	
	lifeTime = 100;
	
	explodeOnDeath = false;
};

datablock itemData(CityRPBatonItem : hammerItem)
{
	uiName = "Baton";
	
	image = CityRPBatonImage;
	
	colorShiftColor = "0.900000 0.900000 0.000000 1.000000";
	
	CityRPCanSpawn = false;
};

datablock shapeBaseImageData(CityRPBatonImage : hammerImage)
{
	item = CiyRPBatonItem;
	
	projectile = CityRPBatonProjectile;
	
	colorShiftColor = "0.900000 0.900000 0.000000 1.000000";
};